curl --request GET \
--url 'https://api.sandbox.stateset.app/api/v1/sandbox/{id}/tunnels' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
{
"tunnels": [
{
"tunnel_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sandbox_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"port": 1,
"protocol": "string",
"url": "https://example.com/webhooks/stateset",
"expires_at": "2026-08-31T14:22:05Z",
"token": "YOUR_API_KEY"
}
]
}
List tunnels
Lists active tunnels for a sandbox Served by the live controller (answers 401 unauthenticated) but absent from its published /openapi.json — verified…
GET
/
api
/
v1
/
sandbox
/
{id}
/
tunnels
curl --request GET \
--url 'https://api.sandbox.stateset.app/api/v1/sandbox/{id}/tunnels' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
{
"tunnels": [
{
"tunnel_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sandbox_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"port": 1,
"protocol": "string",
"url": "https://example.com/webhooks/stateset",
"expires_at": "2026-08-31T14:22:05Z",
"token": "YOUR_API_KEY"
}
]
}
Lists active tunnels for a sandbox
Served by the live controller (answers 401 unauthenticated) but absent from its published
/openapi.json — verified 2026-08-31.
Path parameters
string (uuid)
required
Unique sandbox identifier
Response
TunnelListResponse
Status codes
| Code | Meaning |
|---|---|
200 | Tunnel list |
401 | — |
404 | — |
curl --request GET \
--url 'https://api.sandbox.stateset.app/api/v1/sandbox/{id}/tunnels' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
{
"tunnels": [
{
"tunnel_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sandbox_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"port": 1,
"protocol": "string",
"url": "https://example.com/webhooks/stateset",
"expires_at": "2026-08-31T14:22:05Z",
"token": "YOUR_API_KEY"
}
]
}
Last modified on August 31, 2026